%define rname	environment_proxy
%define cid 	envproxy@as-computer.de
%define ciddir  %firefox_noarch_extensionsdir/%cid

Name: firefox-environment_proxy
Version: 1.4
Release: alt2

Summary: Environment Proxy extension for Firefox
License: MPL 1.1
Group: Networking/WWW

Url: https://addons.mozilla.org/en-US/firefox/addon/3896
Source: %rname-%version-fx+tb.xpi
Packager: Michael Shigorin <mike@altlinux.org>

BuildArch: noarch
BuildRequires(pre): rpm-build-firefox
BuildRequires: unzip

%description
Sets proxy settings from environment variables.

Still useful with Firefox 3.6 to include this functionality
as a preset: it will automatically swith to "manual" if the
variables hold meaningful values, and back to "no proxy"
otherwise.

%prep
%setup -c

%install
mkdir -p %buildroot/%ciddir
cp -r * %buildroot/%ciddir

sed -r -i \
    -e 's,<em:maxVersion>3\.0\.\*,<em:maxVersion>3.6.*,' \
    %buildroot/%ciddir/install.rdf

%postun
if [ "$1" = 0 ]; then [ ! -d "%ciddir" ] || rm -rf "%ciddir"; fi

%files
%ciddir

%changelog
* Wed Jan 27 2010 Alexey Gladkov <legion@altlinux.ru> 1.4-alt2
- Rebuilt with firefox-3.6.

* Wed Jul 22 2009 Michael Shigorin <mike@altlinux.org> 1.4-alt1
- built for ALT Linux
- clarified License:
